Doomsday Engine - Bug #2366

"texreset" breaks halo textures
2019-12-10 19:42 - skyjake

Status: Closed Start date: 2019-12-10
Priority: High % Done: 100%
Assignee: skyjake

Category: Regression

Target version: 2.2 (2019)

Description

The "texreset" command breaks halo textures and causes GL errors (presumably due to use invalid GL texture IDs).

The full "reset" command behaves correctly.

Related issues:
Related to Bug #2365: Halos from Light decorations not visible Closed 2019-12-10

Associated revisions

Revision 143e236a - 2019-12-10 21:20 - skyjake

Fixed|Renderer: "texreset" breaks decoration halos

IssuelD #2366

Revision f10c8e5d - 2019-12-10 21:21 - skyjake

Fixed|Renderer: "texreset" breaks decoration halos

IssuelD #2366

History

#1 - 2019-12-10 19:43 - skyjake
- Related to Bug #2365: Halos from Light decorations not visible added

#2 - 2019-12-10 20:19 - skyjake

Looks like the obsolete texture IDs are cached somewhere and then used for drawing halos after the texreset.

#3 - 2019-12-10 21:20 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#4 - 2019-12-17 11:18 - skyjake

- Status changed from Resolved to Closed
